# Vergütung aktualisieren

`PUT https://{tenant}.stamp.eu/rest/employees/{employee}/compensations/{compensation}`

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `employee` | string | ja | The employee ID |
| `compensation` | string | ja | The compensation ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `compensation_type_id` | string | nein |
| `value` | number | nein |
| `currency` | string \| null | nein |
| `effective_from` | string | nein |
| `interval` | `monthly`, `quarterly`, `half_yearly`, `yearly`, `one_time` \| null | nein |
| `weekly_working_hours` | number \| null | nein |
| `full_time_weekly_working_hours` | number \| null | nein |
| `comment` | string \| null | nein |

## Antworten

### 200: `EmployeeCompensationResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.employee_id` | string | ja |
| `data.compensation_type` | object | nein |
| `data.compensation_type.id` | string | ja |
| `data.compensation_type.name` | string | ja |
| `data.compensation_type.category` | string | ja |
| `data.compensation_type.is_system` | string | ja |
| `data.compensation_type_id` | string | ja |
| `data.value` | number | ja |
| `data.currency` | string | ja |
| `data.effective_from` | string | ja |
| `data.interval` | string | ja |
| `data.weekly_working_hours` | number \| null | ja |
| `data.full_time_weekly_working_hours` | number \| null | ja |
| `data.suggested_weekly_hours` | beliebig | ja |
| `data.hours_mismatch` | beliebig | ja |
| `data.schedule_model_weekly_hours` | beliebig | ja |
| `data.comment` | string | ja |
| `data.created_at` | string | ja |
| `data.updated_at` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
